Home Download Buy Blog Forum Support

expired build, sublime text 2 not available?

Re: expired build, sublime text 2 not available?

Postby stereoworld on Wed Jul 17, 2013 10:08 am

This has been really inconvenient for me I must add and I'm actually really surprised that a normally reliable and carefree piece of software did this.

Like MJMitche, I was confused about what I was downloading here. I installed the beta thinking that was the version I needed to download, only to come across this thread and install the correct one. My file associations are screwed now too and to be honest, I'm pretty wound up. I don't understand why the build had to expire.

I just hope for the next build, you don't expect people to repeat what happened here. Or at the very least you could warn us that this would be the case.

Sublimes the best text editor out there, please dont ruin it.
stereoworld
 
Posts: 1
Joined: Wed Jul 17, 2013 9:59 am

Re: expired build, sublime text 2 not available?

Postby Ildefonse on Wed Jul 17, 2013 11:09 am

I just want to add... this is completely retarded software design.

I had a fully functional piece of software, but what happens when I start my day to get some work done? BUILD EXPIRED.

Seriously, is it too hard to just show a notification that a new version is available? Why do you PREVENT me form using the program altogether? What if my internet would have been down and I would have been unable to download? No work then?

And now the fun starts, after downloading sublime 3, of course I have to manually move all packages and stuff from the sublime 2 library, because why would you do this automatically upon install.... Not to mention that 90% of packages don't even work yet for sublime 3, nor does it seem that anyone cares:

https://github.com/SublimeLinter/Sublim ... issues/344

Issue open since january, no one assigned.

All in all, really great. Prevent me from using a perfectly fine and working piece of software, force me to download a new version at a time which is inconvenient to me, no support from packages for said new version, AND dare to charge more for it. Who's brilliant idea's were this? If we'd run our business like this we'd have no clients left.
Ildefonse
 
Posts: 15
Joined: Tue Jun 19, 2012 8:48 am

Re: expired build, sublime text 2 not available?

Postby RobWebb on Wed Jul 17, 2013 3:03 pm

This is insane.

Our copies af ST2 are also refusing to work today and saying we have to download a newer version. The problem is that we are business users and our IT service provider has to test and validate any new software before it is installed on a business PC. This can take weeks to do. And we have to pay for them to do it.

Why on Earth do you disable the old version?

We simply cannot use ST2 if periodically the software disables itself.

Come on guys there must be a workaround for this so that we can continue to use ST2...

Rob W
RobWebb
 
Posts: 2
Joined: Wed Jul 17, 2013 2:56 pm

Re: expired build, sublime text 2 not available?

Postby mwb1100 on Wed Jul 17, 2013 6:33 pm

RobWebb wrote:This is insane.

Our copies af ST2 are also refusing to work today and saying we have to download a newer version.


According to a post by jps:

jps wrote:only beta versions prior to March 2012 expire for registered users, later versions never expire.


So this problem is supposed to have been fixed. What version are your currently running?
mwb1100
 
Posts: 43
Joined: Mon Jun 25, 2012 5:40 pm

Re: expired build, sublime text 2 not available?

Postby Black on Wed Jul 17, 2013 7:37 pm

I don't get either why you would completely block the running of a working software...

An obvious workaround is changing the system date to a previous one.
Black
 
Posts: 10
Joined: Sun Jan 06, 2013 12:19 am

Re: expired build, sublime text 2 not available?

Postby skuroda on Wed Jul 17, 2013 8:33 pm

Just curious, do the people who are seeing the expired build message licensed or no? I normally use ST3, but I started ST2 and got a prompt for about the update. However, the build (2.0.1) was still usable after I closed it. I'm not validating the whole expired build thing, but I'm just curious who is seeing this error.
skuroda
 
Posts: 685
Joined: Fri Oct 05, 2012 8:11 am

Re: expired build, sublime text 2 not available?

Postby jps on Thu Jul 18, 2013 2:25 am

2.0.1 expired only for unlicensed users. Licensed users are able to use 2.0.1 without issue.
jps
Site Admin
 
Posts: 3071
Joined: Wed Mar 19, 2008 12:33 pm

Re: expired build, sublime text 2 not available?

Postby ZachJ on Thu Jul 18, 2013 4:42 am

Utterly ridiculous that I can't use an expired build and must upgrade. This is what happens when developers don't have proper user experience designers involved. A great concept is marred because the zoo has no keeper.

Anyway, I upgraded to the new version, can't get package control install to go through at the console and thus, can't install anything the easy way. Oh and the new build required me to re-rule my proxy settings. Another great, pointless step.

Seriously guys, you want us to take this editor seriously? Make it more user friendly and automate it this mundane stuff.
ZachJ
 
Posts: 1
Joined: Thu Jul 18, 2013 4:38 am

Re: expired build, sublime text 2 not available?

Postby skuroda on Thu Jul 18, 2013 6:54 am

ZachJ wrote:Utterly ridiculous that I can't use an expired build and must upgrade. This is what happens when developers don't have proper user experience designers involved. A great concept is marred because the zoo has no keeper.

Anyway, I upgraded to the new version, can't get package control install to go through at the console and thus, can't install anything the easy way. Oh and the new build required me to re-rule my proxy settings. Another great, pointless step.

Seriously guys, you want us to take this editor seriously? Make it more user friendly and automate it this mundane stuff.


You can install package control manually for ST3 (git clone the repo then checkout the python3 branch). I've been using it for quite a while now. I haven't used 2.0.2 so I can't comment on that specifically.
skuroda
 
Posts: 685
Joined: Fri Oct 05, 2012 8:11 am

Re: expired build, sublime text 2 not available?

Postby iamntz on Thu Jul 18, 2013 6:59 am

Interesting how all guys with issues are new to forum and, bonus, they are just trying out the software (so they are not buyers)

The problem is that we are business users and our IT service provider has to test and validate any new software before it is installed on a business PC. This can take weeks to do. And we have to pay for them to do it.


I just wonder how your IT service provider agreed to use a beta or trialware... :mrgreen:
iamntz
 
Posts: 915
Joined: Fri Apr 29, 2011 8:52 am
Location: Romania

PreviousNext

Return to Technical Support

Who is online

Users browsing this forum: Exabot [Bot], Google [Bot] and 18 guests